=== debian/changelog ===
ck (0.7.2-6) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 25 Apr 2025 21:02:45 +0200

ck (0.7.2-5) sid; urgency=medium

  * Removing multi-arch field for libck-dev (Closes: #1100922).

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Mar 2025 15:15:29 +0100

ck (0.7.2-4) sid; urgency=medium

  * Using codename instead of suitename in changelog.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Mar 2025 07:53:41 +0100

ck (0.7.2-3) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 19:18:55 +0100

ck (0.7.2-2) sid; urgency=medium

  * Updating source url in copyright.
  * Re-adding missing changelog for 0.7.1-12.1~exp1.
  * Updating vcs fields.
  * Updating my email address.
  * Trimming debian changelog.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Feb 2025 07:58:38 +0100

ck (0.7.2-1) sid; urgency=medium

  * Merging upstream version 0.7.2.
  * Updating to standards-version 4.7.0.
  * Removing cc-builtins.patch, included upstream.
  * Removing disable-sse.patch, included upstream.
  * Refreshing ftbfs-armhf.patch.
  * Renumbering remaining patch.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Apr 2024 09:50:31 +0200

ck (0.7.1-13) sid; urgency=medium

  * Bumping build-depends on debhelper for t64 transition.
  * Wrap and sorting debian files.
  * Updating copyright for 2024.

 -- Daniel Baumann <daniel@debian.org>  Mon, 04 Mar 2024 07:05:29 +0100

ck (0.7.1-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062061

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 15:42:20 +0000

ck (0.7.1-12.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Wed, 31 Jan 2024 08:55:15 +0000

ck (0.7.1-12) sid; urgency=medium

  * Skipping tests when building non-parallel to fix hanging test suite,
    thanks to Santiago Vila <sanvila@debian.org> (Closes: #1055218).

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Dec 2023 10:44:25 +0100

ck (0.7.1-11) sid; urgency=medium

  * Removing generated files to fix FTBFS when build twice in a row
    (Closes: #1043762).

 -- Daniel Baumann <daniel@debian.org>  Mon, 14 Aug 2023 10:04:37 +0200

ck (0.7.1-10) sid; urgency=medium

  * Updating packaging copyright as it has completely replaced/redone.

 -- Daniel Baumann <daniel@debian.org>  Mon, 30 Jan 2023 17:17:29 +0100

ck (0.7.1-9) sid; urgency=medium

  * Updating http links to https in copyright.
  * Updating to standards version 4.6.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Jan 2023 09:15:20 +0100

ck (0.7.1-8) sid; urgency=medium

  * Updating to standards version 4.6.1.
  * Adding patch from Steve Langasek <steve.langasek@canonical.com> to fix
    FTBFS on armhf (Closes: #1009622).

 -- Daniel Baumann <daniel@debian.org>  Thu, 07 Jul 2022 10:14:36 +0200

ck (0.7.1-7) sid; urgency=medium

  * Overwriting armhf platform target to fix FTBFS with newer GCC (Closes:
    #1009622).

 -- Daniel Baumann <daniel@debian.org>  Wed, 13 Apr 2022 08:50:08 +0200

ck (0.6.0-2) sid; urgency=medium

  * New maintainer (Closes: #991427), thanks to Robert for his past work.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Fri, 23 Jul 2021 13:25:19 +0200
