=== debian/control ===
Source: ck
Section: libs
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper (>= 13.14~),
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: http://concurrencykit.org
Vcs-Browser: https://forgejo.debian.net/dns-oarc/ck
Vcs-Git: https://forgejo.debian.net/dns-oarc/ck

Package: libck-dev
Section: libdevel
Architecture: linux-any
Depends:
 libck0t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Concurrency Kit (development)
 The Concurrency Kit library implements concurrency primitives, safe memory
 reclamation mechanisms and non-blocking data structures for the research,
 design and implementation of high performance concurrent systems.
 .
 This package contains the development files.

Package: libck0t64
Provides:
 ${t64:Provides},
Replaces:
 libck0,
Breaks:
 libck0 (<< ${source:Version}),
Section: libs
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Concurrency Kit (library)
 The Concurrency Kit library implements concurrency primitives, safe memory
 reclamation mechanisms and non-blocking data structures for the research,
 design and implementation of high performance concurrent systems.
 .
 It features atomic operations, hardware transactional memory, memory barriers,
 hash tables, list, ring, stack, fifo, bitmap, safe memory reclamation,
 scalable locks, execution barriers, asymmetric synchronization and more.
