=== debian/watch ===
version=4
https://github.com/concurrencykit/ck/tags .*/v?(\d.*)@ARCHIVE_EXT@
